Skip to main content
POST
https://almanac-backend-83vc.onrender.com
/
v1
/
wikis
/
{wiki_id}
/
uploads
/
{upload_id}
/
complete
Complete Upload
curl --request POST \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads/{upload_id}/complete \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads/{upload_id}/complete"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/uploads/{upload_id}/complete', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "imports": [
    {
      "duplicate_source_id": "<string>",
      "error": "<string>",
      "import_id": "<string>",
      "mime_type": "<string>",
      "name": "<string>",
      "original_path": "<string>",
      "sha256": "<string>",
      "size_bytes": 123,
      "source_id": "<string>",
      "status_label": "<string>"
    }
  ],
  "job": {
    "created_at": "<string>",
    "current_step": "<string>",
    "error": "<string>",
    "finished_at": "<string>",
    "job_id": "<string>",
    "started_at": "<string>",
    "status_label": "<string>",
    "summary": "<string>",
    "title": "<string>",
    "updated_at": "<string>",
    "wiki_id": "<string>"
  },
  "upload": {
    "created_at": "<string>",
    "error": "<string>",
    "finished_at": "<string>",
    "source_count": 123,
    "status_label": "<string>",
    "summary": "<string>",
    "updated_at": "<string>",
    "upload_id": "<string>",
    "wiki_id": "<string>"
  }
}
{
  "error": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wiki_id
string
required
upload_id
string
required

Response

Successful Response

imports
ImportItem · object[]
required
job
Job · object | null
required
upload
Upload · object
required